Deprecated - Create a campaign configuration.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Body Params

Campaign configuration payload details:

- owner: Information about the campaign owner.
- type: Type of campaign (For example, userassignment, groupassignment, account).
- priority: Priority of the campaign (For example, high, medium, low ).
- name: Name of the campaign.
- description: Description of the campaign.
- reviewer: Information about the campaign reviewer.
- applications: List of applications the campaign certifies.
Note: This is a required field, however, in case of User entitlement campaigns, either the 'Applications' or 'Entitlement' or both must be specified.
- allowlist: List of users or groups allowed for the certification. You cannot specify the block list with the allow list in the User/Group scope.
- blocklist: List of users or groups excluded from the certification. You cannot specify the allow list with the block list in the User/Group scope.
- entitlementFilter: It is set to filter the list of included or excluded entitlements for certification.


You can either specify entitlementInclusionList or entitlementExclusionList in entitlementFilter.
- launchDate: Date when the first instance of the campaign starts.
- creationDate: Creation date of the campaign configuration.
- duration: The duration (in milliseconds) for which each campaign instance remains open.
- frequency: A UNIX or Linux Cron-compatible string that defines the start of subsequent instances. It must be a valid cron expression.
Valid cron expression: must follow cron syntax (e.g., "*/5", "0 0 * * *"). The valid range for each field within the frequency pattern is as follows:
  - Minute: 0-59
  - Hour: 0-23
  - Day of Month: 1-31
  - Month: 1-12 (or JAN-DEC)
  - Day of Week: 0-6 (or SUN-SAT)
- runEvery: Frequency unit for campaign instance (days or months).
- runNow: Flag to start the campaign immediately.
- nextRunDate: Forecasted Run Date for the next campaign instance.
- overdueAction: Action for open records when a campaign closes.
- mitigationAction: Action after a campaign closes to avoid open records.
- defaultReviewer: Default reviewer for assignments without a suitable reviewer.
- preview: A flag indicating that the campaign is in preview mode and not open to reviewers.
- continuous:A flag indicating that the campaign is continuous.
- automaticRefreshContinuousCampaign:A flag, valid for continuous campaigns only, saying that campaign should refresh the existing filter for building dataset.
- signOff: Campaign sign-off policy refers to the pre-determined approach that governs when and how campaign actions are officially approved or denied (auto, manual, eoc, no_signoff).


Allowable values for signOff are: auto, manual, eoc or no_signoff.
auto: The setting would mean immediate sign-off. Actions taken by the approver in terms of approve or reject are applied on the assignment immediately).
manual: The setting would mean a manual sign-off. The certifier can decide for himself if he wants to enforce his action immediately OR at the end of the campaign).
eoc: The setting would mean sign-off towards the end of the campaign. Actions taken by the approver in terms of approval or rejection are persisted till the Due date of the campaign and then rolled out together).
no_signoff: Actions are not executed and only used for reporting.


- supervisors: List of supervisors identified for the campaign.
- allowSupervisorEscalation: Allow escalation to supervisors.
- reviewerOverwritten: Flag indicating if the reviewer is manually overwritten.

owner
object
string
required
string
required
string
required
string
reviewer
object
applications
array of objects
required
applications*
allowlist
array of objects
allowlist
blocklist
array of objects
blocklist
entitlementFilter
object
string
required
string
int64
required
string
runEvery
object
boolean
string
string
mitigationAction
object
defaultReviewer
object
boolean
boolean
boolean
string
supervisors
array of objects
supervisors
boolean
boolean
whitelist
array of objects
whitelist
blacklist
array of objects
blacklist
Responses
201

Success

400

Your request can't be processed. The error code and description are available in the response payload.

500

Server error

Language
URL
LoadingLoading